curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/artifact-versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{controlPlaneURL}/api/svc/v1/artifact-versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{controlPlaneURL}/api/svc/v1/artifact-versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"manifest": {
"metadata": {},
"type": "artifact-version",
"source": {
"type": "truefoundry",
"uri": "<string>"
},
"step": 0,
"name": "<string>",
"ml_repo": "<string>",
"version": 2,
"description": "<string>",
"version_alias": "<string>",
"run_id": "<string>"
},
"id": "jqfwg345gi25n5ju2yz5iz6m",
"fqn": "<string>",
"created_by_subject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"ml_repo_id": "<string>",
"artifact_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"usage_code_snippet": "<string>",
"tags": []
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}List artifact versions
List artifact versions with optional filtering by tag, FQN, artifact ID, ML Repo, name, version, run IDs, or run steps.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of items per page
1 <= x <= 100010
Number of items to skip
x >= 00
Tag to filter artifact versions by.
Fully Qualified Name uniquely identifying the artifact version.
Identifier of the artifact whose versions to list.
Identifier of the ML Repo the artifact versions belong to.
Name of the artifact version.
Version number (positive integer) to filter by.
Run IDs to filter artifact versions by.
Run steps to filter artifact versions by.
Whether to include internal metadata in the response.
Response
List of artifact versions matching the query with pagination information
Was this page helpful?